<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$ras = $_GET['ras'];
$warehouse = $_GET['warehouse'];
$bulto = $_GET['bulto'];

$config = require ('config.php');

$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado['status'] = "ok";
$resultado['err'] = '';
$resultado['errores'] = null;

$sql = "select errores, momento_inicio from peticiones where ras = $1 and pic = $2 order by momento_inicio desc limit 1";
$bind = array($ras, $bulto);
$result = pg_query_params($conn, $sql, $bind) or die('La consulta fallo: ' . pg_last_error());
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

    $errores = $row['errores'];

    $resultado['errores'] = $errores;
}

pg_free_result($result);

echo json_encode($resultado);
pg_close($conn);

?>